import { LangGlobalModalAN, } from '../constants'
import { LangGlobalModalStateM, } from '../../models/stateModels'

export class Type
{
    setState: (state: LangGlobalModalStateM) => void
    toggleVisibility: (isShow: Boolean) => void
}

export default class LangGlobalModalAC
{
    static setState(state: LangGlobalModalStateM)
    {
        return {
            type: LangGlobalModalAN.SET_STATE,
            payload: state,
        }
    }

    static toggleVisibility(isShow: Boolean)
    {
        return {
            type: LangGlobalModalAN.TOGGLE_VISIBILITY,
            payload: isShow,
        }
    }

}
